org.eclipse.ecf.core.sharedobject.events

## Class SharedObjectActivatedEvent

- java.lang.Object
- - org.eclipse.ecf.core.sharedobject.events.SharedObjectActivatedEvent

All Implemented Interfaces:
  IContainerEvent, ISharedObjectActivatedEvent, Event

    public class SharedObjectActivatedEvent
    extends Object
    implements ISharedObjectActivatedEvent

### Constructor Summary

Constructors
Constructor and Description
`SharedObjectActivatedEvent()`
`SharedObjectActivatedEvent(ID container, ID act)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ID` `getActivatedID()`
`ID` `getLocalContainerID()` Get ID of local discovery container (the discovery container receiving this event).
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SharedObjectActivatedEvent

    public SharedObjectActivatedEvent()

Since:
  2.6

#### SharedObjectActivatedEvent

    public SharedObjectActivatedEvent(ID container,
                                      ID act)

### Method Detail

#### getActivatedID

    public ID getActivatedID()

Specified by:
  `getActivatedID` in interface `ISharedObjectActivatedEvent`

#### getLocalContainerID

    public ID getLocalContainerID()

Description copied from interface: `IContainerEvent`
Get ID of local discovery container (the discovery container receiving this event).

Specified by:
  `getLocalContainerID` in interface `IContainerEvent`
Returns:
  ID for local container. Will not return `null`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`